import { ToolbarButtonProvider, ToolbarButton, TranslateService } from 'tabby-core';
import { TerminalService } from './services/terminal.service';
/** @hidden */
export declare class ButtonProvider extends ToolbarButtonProvider {
    private terminal;
    private translate;
    constructor(terminal: TerminalService, translate: TranslateService);
    provide(): ToolbarButton[];
}
